// -------------------------------------------------------------
//  Software für Luftentfeuchter-Steuerung eines Comedes LTR600
//  mit Arduino Micro - ersetzt fehlerhafte Original-Steuerung
//
//  Modul zur Relais-Ansteuerung
//  Juli/Dezember 2014
// -------------------------------------------------------------

class t_Compressor
{
   public:
      t_Compressor (int Pin):
         oPin (Pin)
      {
         Off ();  // Switch if off first or else it would switch on shortly
         pinMode(Pin, OUTPUT);
      }

      ~t_Compressor ()
      {
         Off();
      }

      void On (void)
      {
         digitalWrite (oPin, LOW);
      }

      void Off (void)
      {
         digitalWrite (oPin, HIGH);
      }

      void Set (bool Power)
      {
         Power ? On() : Off() ;
      }

   private:
      int oPin;
};


